=== debian/changelog ===
giada (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
    + Refresh patches
  * Update missing sources
    + Add script to help updating missing-sources
    + Update missing-sources for 'geompp'
    + Add missing upstream sources 'mcl-utils'
  * Add patch to fix appstream metadata
  * Drop obsolete Rules-Requires-Root stanza.
  * Update copyright information
    + Add missing copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 11 Dec 2025 12:06:59 +0100
